Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(20)

Issue 1500153002: Fix crash with MIDI send for MidiManagerAlsa (Closed)

Created:
3 years, 2 months ago by Adam Goode
Modified:
3 years, 2 months ago
CC:
chromium-reviews, feature-media-reviews_chromium.org, toyoshim+midi_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fix crash with MIDI send for MidiManagerAlsa BUG=564501 Committed: https://crrev.com/a3d22f60a719a6dae77a0586ef32dd12ac463952 Cr-Commit-Position: refs/heads/master@{#363413}

Patch Set 1 #

Patch Set 2 : Remove unnecessary base::Unretained #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+6 lines, -7 lines) Patch
M media/midi/midi_manager.cc View 1 chunk +4 lines, -5 lines 1 comment Download
M media/midi/midi_manager_alsa.cc View 1 1 chunk +2 lines, -2 lines 0 comments Download

Messages

Total messages: 19 (8 generated)
Adam Goode
3 years, 2 months ago (2015-12-05 05:43:39 UTC) #2
Adam Goode
3 years, 2 months ago (2015-12-05 05:51:07 UTC) #4
Oliver Chang
lgtm. Thanks a lot for addressing this! Good point about MidiManager::AccumulateMidiBytesSent releasing the lock too ...
3 years, 2 months ago (2015-12-05 06:47:17 UTC) #5
Adam Goode
On 2015/12/05 06:47:17, Oliver Chang wrote: > lgtm. Thanks a lot for addressing this! > ...
3 years, 2 months ago (2015-12-05 12:24:18 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1500153002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1500153002/20001
3 years, 2 months ago (2015-12-05 12:35:44 UTC) #8
Takashi Toyoshima
LGTM. Let me push this CL to CQ now. I'll create separate CL to add ...
3 years, 2 months ago (2015-12-07 06:00:28 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1500153002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1500153002/20001
3 years, 2 months ago (2015-12-07 06:00:50 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/151204)
3 years, 2 months ago (2015-12-07 06:50:57 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1500153002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1500153002/20001
3 years, 2 months ago (2015-12-07 07:07:11 UTC) #16
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years, 2 months ago (2015-12-07 08:00:42 UTC) #17
commit-bot: I haz the power
3 years, 2 months ago (2015-12-07 08:01:48 UTC) #19
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/a3d22f60a719a6dae77a0586ef32dd12ac463952
Cr-Commit-Position: refs/heads/master@{#363413}

Powered by Google App Engine
This is Rietveld 408576698